aboutsummaryrefslogtreecommitdiffstats
path: root/main/s6/APKBUILD
diff options
context:
space:
mode:
Diffstat (limited to 'main/s6/APKBUILD')
-rw-r--r--main/s6/APKBUILD22
1 files changed, 13 insertions, 9 deletions
diff --git a/main/s6/APKBUILD b/main/s6/APKBUILD
index a30103243d..05d11ab46a 100644
--- a/main/s6/APKBUILD
+++ b/main/s6/APKBUILD
@@ -1,7 +1,7 @@
# Maintainer: Laurent Bercot <ska-devel@skarnet.org>
# Contributor: John Regan <john@jrjrtech.com>
pkgname=s6
-pkgver=2.8.0.1
+pkgver=2.9.0.1
pkgrel=0
pkgdesc="skarnet.org's small & secure supervision software suite."
url="https://skarnet.org/software/$pkgname/"
@@ -9,9 +9,8 @@ arch="all"
license="ISC"
makedepends="skalibs-dev execline-dev"
options="!check"
-subpackages="$pkgname-dev $pkgname-doc $pkgname-openrc"
-source="https://skarnet.org/software/$pkgname/$pkgname-$pkgver.tar.gz s6-svscanboot s6.initd"
-builddir="$srcdir/$pkgname-$pkgver"
+subpackages="$pkgname-static $pkgname-dev $pkgname-doc $pkgname-openrc"
+source="https://skarnet.org/software/s6/s6-$pkgver.tar.gz s6-svscanboot s6.initd"
install="s6.pre-install s6.pre-upgrade"
triggers="s6.trigger=/run/service"
@@ -31,10 +30,10 @@ build() {
package() {
cd "$builddir"
make DESTDIR="$pkgdir" install
- cp -f "$srcdir/s6-svscanboot" "$pkgdir/lib/s6/s6-svscanboot"
- mkdir -p "$pkgdir/etc/init.d"
- cp -f "$srcdir/s6.initd" "$pkgdir/etc/init.d/s6"
- chmod 0755 "$pkgdir/lib/s6/s6-svscanboot" "$pkgdir/etc/init.d/s6"
+ cp -f "$srcdir/s6-svscanboot" "$pkgdir/lib/s6/s6-svscanboot"
+ mkdir -p "$pkgdir/etc/init.d"
+ cp -f "$srcdir/s6.initd" "$pkgdir/etc/init.d/s6"
+ chmod 0755 "$pkgdir/lib/s6/s6-svscanboot" "$pkgdir/etc/init.d/s6"
}
doc() {
@@ -43,6 +42,11 @@ doc() {
cp -a "$builddir/doc" "$subpkgdir/usr/share/doc/$pkgname"
}
-sha512sums="03478aed129c1e50b34e0b75d7ff50bd84f62eadee862b6227c4313153d47776e7cbeae728d63209773b91931a2abc8372bb7db4953762807d0ed3d305efd23f s6-2.8.0.1.tar.gz
+static() {
+ default_static
+ rmdir -p "$pkgdir"/usr/lib || :
+}
+
+sha512sums="5beb6170e4a457a0a307cbace67369cc35f6fd79d13ece2e82a3ebbdb4b032304eba8124be3e45b4db921863eaa02f51472c1365b0da000eef0868c11514dfff s6-2.9.0.1.tar.gz
871ca1f86b354b7c63ce1d3bef8794627e176f993144ed67a17d0a069f5ac2164d94aba980711f61ad349dcd4fe2bf928195f2121a75e611c9897d73f1af12a0 s6-svscanboot
e7f4fcdc04fc7f72df4419018d048e14f80d50d01ebc284b6d208d6bada3201ca91be0a110930618a26fb0e6bcc1603de01467f6f1dc635c8dcae60f1a0b1b9b s6.initd"